Bug 737339 - Grub menu is shown even for single OS installations
Grub menu is shown even for single OS installations
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
23
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
RejectedBlocker RejectedNTH
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-11 04:38 EDT by drago01
Modified: 2015-07-15 11:14 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:12:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description drago01 2011-09-11 04:38:19 EDT
With the switch to grub2 we now always show the bootloader (even when no other OS is installed) and have a timeout of 20 seconds.

This is a regression compared to grub1 where we just booted directly in that case.

This results into longer boot times and kills the "flicker free" boot.
Comment 1 drago01 2011-09-11 05:22:18 EDT
I have played a bit with it  ... it seems that setting GRUB_HIDDEN_TIMEOUT and GRUB_HIDDEN_TIMEOUT_QUIET and then recreating the config is supposed to achieve that ... but it seems that this is mostly ignored. I will show a "Welcome to grub" screen and then switch to the default grub menu instead of directly booting the OS.
Comment 2 Fedora Admin XMLRPC Client 2011-09-16 15:08:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Adam Williamson 2011-09-30 14:51:02 EDT

*** This bug has been marked as a duplicate of bug 727831 ***
Comment 4 drago01 2011-09-30 15:04:01 EDT
(In reply to comment #3)
> 
> *** This bug has been marked as a duplicate of bug 727831 ***

That's not a dupe.

The other bug has been fixed by just making the timeout shorter but the issue here is that we do show the menu *at all* , which breaks "flicker free boot".
Comment 5 Raphael Groner 2011-09-30 15:39:25 EDT
(In reply to comment #4)
That's not a bug. It's more like a feature.

See
http://linuxpoison.blogspot.com/2010/11/how-to-change-grub-2-default-timeout.html
Comment 6 Raphael Groner 2011-09-30 15:46:46 EDT
If you think it's a bug in the default installation, better report this against anaconda, the installer.
Comment 7 drago01 2011-09-30 15:53:02 EDT
(In reply to comment #5)
> (In reply to comment #4)
> That's not a bug. It's more like a feature.
> 
> See
> http://linuxpoison.blogspot.com/2010/11/how-to-change-grub-2-default-timeout.html

No.

(In reply to comment #6)
> If you think it's a bug in the default installation, better report this against
> anaconda, the installer.

It requires anaconda changes to be fully fixed but we have to fix grub first (to use keystatus to allow interacting with it by holding down shift).
Comment 8 Raphael Groner 2011-09-30 16:11:54 EDT
Here you should get help:

https://fedoraproject.org/wiki/Features/Grub2

Due to the recent change of the package maintainer, I am wondering if someone feels responsible at all for such an important package. Otherwise, grub2 usage has to be removed and grub1 be kept for the default installation - as stated at "Contingency Plan".
Comment 9 Adam Williamson 2011-10-03 23:40:32 EDT
pjones is taking care of grub2. that's why this bug is assigned to him.
Comment 10 Raphael Groner 2011-10-04 02:43:59 EDT
I can't reproduce this behaviour with Fedora 16 Beta RC4 Xfce live and installed.
Comment 11 Adam Williamson 2011-10-07 14:00:07 EDT
Discussed at 2011-10-07 blocker review meeting. Rejected as a blocker bug and NTH: it does not hit any criteria and we would not want to poke this after the freeze.
Comment 12 Fedora End Of Life 2013-02-13 21:12:36 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 drago01 2013-02-14 03:11:15 EST
Still the case even in rawhide.
Comment 14 Adam Williamson 2013-02-14 21:47:08 EST
pjones, any plans to do anything about this at any point?
Comment 15 Peter Jones 2013-03-12 11:48:46 EDT
> pjones, any plans to do anything about this at any point?

Not really, no.  This is something grub2 doesn't do, and the patch for grub1 didn't do very well.  If somebody contributes a patch upstream, that'd be fine, but it's unlikely we'd want it by default.
Comment 16 Adam Williamson 2013-03-13 18:37:52 EDT
Ah, now I read back, the report is a bit more complex than I thought.

I wasn't thinking about the 'flicker free boot' thing, just the simple fact that anaconda no longer sets the timeout to 0 for single-boot installs. That's something we can fix if we choose to, right? Though of course there's the giant bikeshed thread about it ATM.
Comment 17 Fedora End Of Life 2013-04-03 15:38:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 18 Fedora End Of Life 2015-01-09 16:52:49 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Adam Williamson 2015-01-09 17:02:40 EST
this is still valid, i.e., we still don't default to hiding the menu in non-multiboot cases as we did with grub-legacy. Still a question whether changing it is desired.
Comment 20 Jan Kurik 2015-07-15 11:14:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.